## org.apache.xml.utils
Class XMLStringFactory

    java.lang.Object
      |
      +--org.apache.xml.utils.XMLStringFactory

Direct Known Subclasses:
  XMLStringFactoryDefault, XMLStringFactoryImpl

public abstract class XMLStringFactory
extends java.lang.Object

A concrete class that implements this interface creates XMLString objects.

Constructor Summary
`XMLStringFactory()`

Method Summary
`abstract XMLString` `emptystr()` Get a cheap representation of an empty string.
`abstract XMLString` `newstr(char[] string, int start, int length)` Create a XMLString from a FastStringBuffer.
`abstract XMLString` `newstr(FastStringBuffer string, int start, int length)` Create a XMLString from a FastStringBuffer.
`abstract XMLString` `newstr(java.lang.String string)` Create a new XMLString from a Java string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringFactory

    public XMLStringFactory()

Method Detail

### newstr

    public abstract XMLString newstr(java.lang.String string)

  Create a new XMLString from a Java string.
  Parameters:
    `string` - Java String reference, which must be non-null.
  Returns:
    An XMLString object that wraps the String reference.

### newstr

    public abstract XMLString newstr(FastStringBuffer string,
                                     int start,
                                     int length)

  Create a XMLString from a FastStringBuffer.
  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### newstr

    public abstract XMLString newstr(char[] string,
                                     int start,
                                     int length)

  Create a XMLString from a FastStringBuffer.
  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### emptystr

    public abstract XMLString emptystr()

  Get a cheap representation of an empty string.
  Returns:
    An non-null reference to an XMLString that represents "".

Copyright © 2006 Apache XML Project. All Rights Reserved.